package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.time.Instant;

/**
 * A DTO for the ActivityCropStatus entity.
 */
public class ActivityCropStatusDTO implements Serializable {

    private Long cropId;

    private Instant executeDate;

    private String media;

    private String cropRate;

    private String numberOfTreeToGrow;

    private String heightOfTree;

    private String numberOfLeaf;

    private String leafSize;

    private String leafColor;

    private String internodeLength;

    private String abilityProduceBuds;

    private String description;

    private String executeBy;

    public Instant getExecuteDate() {
        return executeDate;
    }

    public void setExecuteDate(Instant executeDate) {
        this.executeDate = executeDate;
    }

    public String getMedia() {
        return media;
    }

    public void setMedia(String media) {
        this.media = media;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getCropRate() {
        return cropRate;
    }

    public void setCropRate(String cropRate) {
        this.cropRate = cropRate;
    }

    public String getNumberOfTreeToGrow() {
        return numberOfTreeToGrow;
    }

    public void setNumberOfTreeToGrow(String numberOfTreeToGrow) {
        this.numberOfTreeToGrow = numberOfTreeToGrow;
    }

    public String getHeightOfTree() {
        return heightOfTree;
    }

    public void setHeightOfTree(String heightOfTree) {
        this.heightOfTree = heightOfTree;
    }

    public String getNumberOfLeaf() {
        return numberOfLeaf;
    }

    public void setNumberOfLeaf(String numberOfLeaf) {
        this.numberOfLeaf = numberOfLeaf;
    }

    public String getLeafSize() {
        return leafSize;
    }

    public void setLeafSize(String leafSize) {
        this.leafSize = leafSize;
    }

    public String getLeafColor() {
        return leafColor;
    }

    public void setLeafColor(String leafColor) {
        this.leafColor = leafColor;
    }

    public String getAbilityProduceBuds() {
        return abilityProduceBuds;
    }

    public void setAbilityProduceBuds(String abilityProduceBuds) {
        this.abilityProduceBuds = abilityProduceBuds;
    }

    public String getExecuteBy() {
        return executeBy;
    }

    public void setExecuteBy(String executeBy) {
        this.executeBy = executeBy;
    }

    public String getInternodeLength() {
        return internodeLength;
    }

    public void setInternodeLength(String internodeLength) {
        this.internodeLength = internodeLength;
    }

    public Long getCropId() {
        return cropId;
    }

    public void setCropId(Long cropId) {
        this.cropId = cropId;
    }
}
